:: Copyright 2008, by the California Institute of Technology.
:: ALL RIGHTS RESERVED. United States Government Sponsorship acknowledged.
:: Any commercial use must be negotiated with the Office of Technology Transfer
:: at the California Institute of Technology.
::
:: This software is subject to U. S. export control laws and regulations
:: (22 C.F.R. 120-130 and 15 C.F.R. 730-774). To the extent that the software
:: is subject to U.S. export control laws and regulations, the recipient has
:: the responsibility to obtain export licenses or other export authority as
:: may be required before exporting such information to foreign countries or
:: providing access to foreign nationals.
::
:: $Id: VTool.bat 3247 2008-06-03 20:20:37Z mcayanan $

:: Batch file that allows easy execution of the Validation Tool (VTool)
:: without the need to set the CLASSAPTH or having to type in that long java
:: command (java gov.nasa.pds.vtool.VTool ...)

@echo off

set BIN_DIR=%~dp0

:: Expects the batch file and the VTool jar file to be located in the same
:: place.

if exist "%BIN_DIR%\vtool-*-app.jar" (
set VTOOL_JAR=%BIN_DIR%\vtool-*-app.jar
) else (
echo Cannot find VTool jar file in %BIN_DIR%
goto END
)

:: Finds the jar file in BIN_DIR and sets it to VTOOL_JAR
for %%i in ("%BIN_DIR%"\vtool-*-app.jar) do set VTOOL_JAR=%%i

:: Executes VTool via the executable jar file
:: The special variable '%*' allows the arguments
:: to be passed into the executable.

java -jar "%VTOOL_JAR%" %*

:END
